Bug 1469876 - [Docs][RFE][Director][UI] Revised node assignments
[Docs][RFE][Director][UI] Revised node assignments
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity unspecified
: ga
: 12.0 (Pike)
Assigned To: Dan Macpherson
Lukas Ruzicka
: FutureFeature, Triaged
Depends On: 1430884
  Show dependency treegraph
Reported: 2017-07-11 23:19 EDT by Dan Macpherson
Modified: 2017-12-18 23:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-18 23:20:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2017-07-11 23:19:10 EDT
As a basic deployer, I want to assign roles with their associated services to nodes

Major revisement to how nodes are selected for roles in the UI
Comment 1 Lucy Bopf 2017-08-07 23:36:22 EDT
Assigning to Dan for review.
Comment 6 Jiri Tomasek 2017-12-04 07:58:18 EST
Looks great! Possible missing part is to achieve successful assignment of the tagged nodes, the Role needs to have 'flavor' parameter set apropriately.  By default the flavor on Role is set to 'baremetal', so for correct assignment of the nodes, user needs to change it to flavor which has matching 'profile' property with the node tag. This is well described in referenced link [1]. It may be worth explocitly mentioning in GUI guide too as we've hit this problem several times during testing.

[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12-beta/html/director_installation_and_usage/chap-Configuring_Basic_Overcloud_Requirements_with_the_CLI_Tools#sect-Tagging_Nodes_into_Profiles

Note You need to log in before you can comment on or make changes to this bug.